unit IBOPipelineRegUnit;

//Remove "x" in "x$DEFINE" to allow use of old pipeline name...
{x$DEFINE OLDNAME_TIB_Pipeline}

interface
uses
  Windows,
  SysUtils, Classes, Consts,
  DesignIntf,
  Dialogs, Forms, TypInfo;

procedure Register;

implementation

uses
  ppPropEd, ppDsIntf, ppFldEd,
  IBOPipelineUnit, daIBO;

//------------------------------------------------------------------------------
//REGISTER COMPONENTS ONTO THE COMPONENT PALETTE...
//------------------------------------------------------------------------------

procedure Register;
begin
  //TODO// REMOVE THIS LATER ///////////////////////////////////////
  //  (STILL HAVE COMPONENTS IN AN APP WITH THIS OLD PIPELINE NAME)
  {$IFDEF OLDNAME_TIB_Pipeline}
  RegisterComponents( 'RBuilder', [ TIB_Pipeline ] );
  RegisterComponentEditor(TIB_Pipeline, TppComponentEditor);
  ppRegisterComponentDesigner(TppFieldEditor, TIB_Pipeline);
  {$ENDIF}
  //////////////////////////////////////////////////////////////////

  RegisterComponents( 'RBuilder', [ TppIBOPipeline] );
  RegisterNoIcon([TppChildIBOPipeline, TppChildIBODataSource]);

  //RegisterComponentEditor(TppIBOPipeline, TppComponentEditor);
  //ppRegisterComponentDesigner(TppFieldEditor, TppIBOPipeline);


  {IBO DataAccess Components}
  RegisterNoIcon([TdaChildIBOQuery, TdaChildIBOTable]);

  {IBO DataViews}
  RegisterNoIcon([TdaIBOQueryDataView]);


end;

//------------------------------------------------------------------------------

end.
